summaryrefslogtreecommitdiff
path: root/debian/pylint.postinst
diff options
context:
space:
mode:
authorroot <devnull@localhost>2006-04-26 10:48:09 +0000
committerroot <devnull@localhost>2006-04-26 10:48:09 +0000
commiteea76f1da01a33dec2afc42119e001e4350aaea2 (patch)
tree3bb03a16daa8c780bf60c622dc288eb01cfca145 /debian/pylint.postinst
downloadpylint-eea76f1da01a33dec2afc42119e001e4350aaea2.tar.gz
forget the past.
forget the past.
Diffstat (limited to 'debian/pylint.postinst')
-rw-r--r--debian/pylint.postinst24
1 files changed, 24 insertions, 0 deletions
diff --git a/debian/pylint.postinst b/debian/pylint.postinst
new file mode 100644
index 0000000..aa64362
--- /dev/null
+++ b/debian/pylint.postinst
@@ -0,0 +1,24 @@
+#! /bin/sh -e
+#
+
+
+
+# precompile python files
+VERSION=2.3
+PACKAGEDIR=/usr/lib/site-python/pylint
+case "$1" in
+ configure|abort-upgrade|abort-remove|abort-deconfigure)
+ python$VERSION -O /usr/lib/python$VERSION/compileall.py -q $PACKAGEDIR
+ python$VERSION /usr/lib/python$VERSION/compileall.py -q $PACKAGEDIR
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+
+#DEBHELPER#
+
+exit 0